uses crt,ModeXLib,Tools;
var i:word;
    origpal,
    destinationpal:Array[0..767] of Byte;

begin
  ClrScr;
  GetPal;                              {load "Palette" with current DAC-palette}
  Move(Palette,OrigPal,768);           {save palette}
  Move(Palette,Destinationpal,768);    {set Destination-Palette}

  Draw_Ansi('color.ans');              {load Ansi-picture}

  Make_bw(DestinationPal);             {DestinationPal to black/white}
  readkey;
  fade_to(DestinationPal,1);           {fade to black/white palette}
  ReadKey;
  fade_to(OrigPal,1);                  {fade to original palette}

  ReadLn;
  TextMode(3);                         {normal state}
End.
